Amahi 7 status and DNS/DHCP server change plans

User avatar
cpg
Administrator
Posts: 2594
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Amahi 7 status and DNS/DHCP server change plans

Postby cpg » Sat Mar 02, 2013 4:04 am

Here is a quick update and some ideas that we have discussed in the social media apps:

* due to logistical needs, the 64 version of the RPMs has been populated in the f18 repos. we will probably be working on 64 bits for now (sorry if this causes trouble, it's a logistics issue)
* they both (32/64) are almost identical, though the 64 bit packages are slightly more up-to-date than the 32 bit versions (very minor changes)
* we have been talking about building iso releases instead of based on the full DVD
* there are some issues named, the DNS server. It sometimes gets out of sync and stops responding to local domain queries properly. no idea what's happening here yet anyone want to pick this up?

PROJECT IDEA: it would be great if you want to help to pick up the following tools and learn and document how to produce a custom iso image of Fedora 18. this would probably be done with the koji and mock tools.

having some mileage on this by learning how to spin bootable iso images in parallel will save us a lot of time for the release.

one idea for this is to do it in two parts:
1) learn to make it without amahi, like replicating the process of building the minimal install CD
2) once this is known to work, we can add the amahi packages and their deps
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

User avatar
cpg
Administrator
Posts: 2594
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 status report and some plans

Postby cpg » Sun Mar 03, 2013 6:10 am

Update, we have released a new version of hda-ctl (64 bit only) supporting by default dnsmasq as a DHCP and DNS server instead of the traditional ISC bind and dhcpd servers.

This server dnsmasq is much lighter, with much less footprint and it's much much easier to configure.

bind was giving us occasional issues and dhcp often has bugs preventing from being shut down permanently for some users.

Please try it and see how well it performs! The plan is to stick to this server for the long term if it works well.

You can see the code changes for dnsmasq support at our github page.
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

User avatar
cpg
Administrator
Posts: 2594
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 status report and some plans

Postby cpg » Sun Mar 03, 2013 3:56 pm

Update: the 64 bit platform has been updated as well. the system should install and automatically start dnsmasq.

Full install required. Error logs appreciated!
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

stern88
Posts: 134
Joined: Thu Oct 13, 2011 8:03 am

Re: Amahi 7 status report and some plans

Postby stern88 » Tue Mar 05, 2013 3:04 pm

Well about the installation process:

Code: Select all

[root@localhost ~]# rpm -Uvh http://f18.amahi.org/noarch/hda-release-6.9.0-1.noarch.rpm Empfange http://f18.amahi.org/noarch/hda-release-6.9.0-1.noarch.rpm Vorbereiten... ################################# [100%] Updating / installing... 1:hda-release-6.9.0-1 ################################# [100%]
So far ok, but:

Code: Select all

--> Führe Transaktionsprüfung aus ---> Paket rubygem-ruby_parser.noarch 0:2.0.4-8.fc18 markiert, um installiert zu werden ---> Paket rubygem-sexp_processor.noarch 0:3.0.4-6.fc18 markiert, um installiert zu werden --> Verarbeite Konflikt: php-mysql-5.4.11-1.fc18.i686 kollidiert mit php-mysqlnd --> Abhängigkeitsauflösung beendet Fehler: php-mysql conflicts with php-mysqlnd-5.4.11-1.fc18.i686 Sie können versuchen mit --skip-broken das Problem zu umgehen. You could try running: rpm -Va --nofiles --nodigest
php-mysqlnd is the native driver. Choose either php-mysql or php-mysqlnd

Quoting http://php.net/manual/en/mysqlinfo.library.choosing.php :

The extensions can either use the mysqlnd library or the libmysql library. Choosing a library is a compile time decision.

The mysqlnd library is part of the PHP distribution since 5.3.0. It offers features like lazy connections and query caching, features that are not available with libmysql, so using the built-in mysqlnd library is highly recommended. See the mysqlnd documentation for additional details, and a listing of features and functionality that it offers.
...
Library feature comparison

It is recommended to use the mysqlnd library instead of the MySQL Client Server library (libmysql). Both libraries are supported and constantly being improved.

stern88
Posts: 134
Joined: Thu Oct 13, 2011 8:03 am

Re: Amahi 7 status report and some plans

Postby stern88 » Tue Mar 05, 2013 3:10 pm

PROJECT IDEA: it would be great if you want to help to pick up the following tools and learn and document how to produce a custom iso image of Fedora 18. this would probably be done with the koji and mock tools.
Hmmm... Sound interesting! I will start learning how to mock build.

User avatar
cpg
Administrator
Posts: 2594
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 status report and some plans

Postby cpg » Tue Mar 05, 2013 3:21 pm

hmm .. thanks for the log.

We do require php-mysqlnd explicilty in hda-ctl, but it looks like some other package is requiring php-mysql.

Our simple strategy now is to require php-mysql instead of the more recommended php-mysqlnd.

OK, done. I updated the repo with a new x86_64 hda-ctl package that requires php-mysql instead.
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

stern88
Posts: 134
Joined: Thu Oct 13, 2011 8:03 am

Re: Amahi 7 status report and some plans

Postby stern88 » Tue Mar 05, 2013 3:35 pm

what about replacing mysql with mariadb? MariaDB is faster and lighter than mysql.

https://mariadb.org/

Compatibility:
Data and table definition files (.frm) files are binary compatible.
All client APIs, protocols and structs are identical.
All filenames, binaries, paths, ports, sockets, and etc... should be the same.
All MySQL connectors (PHP, Perl, Python, Java, .NET, MyODBC, Ruby, MySQL C connector etc) work unchanged with MariaDB.
There are some installation issues with PHP5 that you should be aware of (a bug in how the old PHP5 client checks library compatibility).
The mysql-client package also works with MariaDB server.
The shared client library is binary compatible with MySQL's client library.

This means that for most cases, you can just uninstall MySQL and install MariaDB and you are good to go. (No need to convert any datafiles if you use same main version, like 5.1).

User avatar
cpg
Administrator
Posts: 2594
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 status report and some plans

Postby cpg » Tue Mar 05, 2013 3:51 pm

that's done already with the repo update from sunday!

you will see *-mysql packages for a long long time still, because these things take time.

however, we're already requiring mariadb:

Code: Select all

hda-ctl.spec:Requires: dhcp mariadb-server samba httpd
the rest is just cosmetic name changes to show mariadb. i predict logs of silly pain for this, but we're already starting to peel away this particular band-aid :)
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

User avatar
cpg
Administrator
Posts: 2594
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 status report and some plans

Postby cpg » Tue Mar 05, 2013 7:10 pm

After the update, I get this:

Code: Select all

--> Processing Conflict: mariadb-libs-5.5.29-4.fc18.x86_64 conflicts real-mysql-libs
So, we're still having some issues with *something* requiring the original mysql. Grr.

The pain has started ...
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

User avatar
cpg
Administrator
Posts: 2594
Joined: Wed Dec 03, 2008 7:40 am
Contact:

Re: Amahi 7 status report and some plans

Postby cpg » Tue Mar 05, 2013 7:39 pm

Update: install mariadb-server and mariadb-libs first, before the amahi packages. Fedora 18 page updated.

Specificaly, this is the work-around:

Code: Select all

yum -y install mariadb-libs mariadb-server yum -y install hda-ctl hda-platform
My HDA: Intel(R) Core(TM) i5-3570K CPU @ 3.40GHz on MSI board, 8GB RAM, 1TBx2+3TBx1

Who is online

Users browsing this forum: No registered users and 1 guest